using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "charge")]
public class Charge : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        move.User.ChangeStatBoost(Statistic.SpecialDefense, 1, true, false);
        move.User.Volatile.Add(new ChargeEffect());
    }
}